commit:     6d47bc5805225e6071d4a21ceca00487d71731e8
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 13 16:42:27 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jan 13 16:42:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d47bc58

x11-terms/sakura: Version bump.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 x11-terms/sakura/Manifest            |  1 +
 x11-terms/sakura/sakura-3.4.0.ebuild | 57 ++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/x11-terms/sakura/Manifest b/x11-terms/sakura/Manifest
index 96d6c5b..5898296 100644
--- a/x11-terms/sakura/Manifest
+++ b/x11-terms/sakura/Manifest
@@ -1 +1,2 @@
 DIST sakura-3.3.4.tar.bz2 52839 SHA256 
27277214964851fa23ecc290f0eae391af3d11279ec42769d84a7be1feccd3ba SHA512 
a84849e2fa7b45da513ff05a1e1636eb8d331b7c632f18605d6aa01463e44d877c057f2f628bfdc27e9f6ff29b0441ba248885d92341ed3a9b5eb281d02e34d7
 WHIRLPOOL 
22e10b9098db39151b32b6cfaec4cbffb1991e65212a3d1acc768e250aca3fb3f5ff17c86b09df66706e7a38cec868f5c66a9048cd71e754f03bae5efeffe110
+DIST sakura-3.4.0.tar.bz2 54907 SHA256 
04487511049d596856d700d524c3354610c7caae8bb87ba3c16851356d3f40ee SHA512 
5d8f62638bd826a294b240960f2bd696583f8cad4799ab5862796b6210320f94ee11e64847c36ca6765f9281fb8fabb7a699db6fcf1de41c5e7f82bb281e9512
 WHIRLPOOL 
4ebcd55b0deac473df39125397ce99ae3cfa68ba991e28eb447fbee0a8758a000400a748d142addf18ea60b3677ff4118dbd5a10ffa6adcefcabf16c141c86c3

diff --git a/x11-terms/sakura/sakura-3.4.0.ebuild 
b/x11-terms/sakura/sakura-3.4.0.ebuild
new file mode 100644
index 00000000..7cb80e4
--- /dev/null
+++ b/x11-terms/sakura/sakura-3.4.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit cmake-utils eutils flag-o-matic
+
+DESCRIPTION="sakura is a terminal emulator based on GTK and VTE"
+HOMEPAGE="http://www.pleyades.net/david/projects/sakura/";
+SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm-linux ~x86-linux"
+
+RDEPEND="
+       >=dev-libs/glib-2.20:2
+       x11-libs/gtk+:3[X]
+       x11-libs/libX11
+       x11-libs/vte:2.91
+"
+DEPEND="
+       ${RDEPEND}
+       >=dev-lang/perl-5.10.1
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.1.3-flags.patch
+)
+
+DOCS=(
+       AUTHORS
+)
+
+src_prepare() {
+       sed -i "/FILES INSTALL/d" CMakeLists.txt || die
+
+       strip-linguas -i po/
+       local lingua
+       for lingua in po/*.po; do
+               lingua="${lingua/po\/}"
+               lingua="${lingua/.po}"
+               if ! has ${lingua} ${LINGUAS}; then
+                       rm po/${lingua}.po || die
+               fi
+       done
+
+       cmake-utils_src_prepare
+       # sakura.c:1740:3: warning: implicit declaration of function ‘readlink’
+       # [-Wimplicit-function-declaration]
+       append-cppflags -D_DEFAULT_SOURCE
+
+       # sakura.c:1348:9: error: ‘for’ loop initial declarations are only 
allowed
+       # in C99 or C11 mode
+       append-cflags -std=c99
+}

Reply via email to